Subject: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Sean Whitton <[email-masked]>
Date: Fri, 18 Apr 2025 15:07:43 +0800

Hello,

Thanks for commenting, Stefan.  Indeed, this change as it is can't be
right, because comment-start and comment-end will always be defined.

The intent of the code seems to be that block comment is used if the
user types M-; on an empty line, such that comment-indent wants to
insert a new comment.

But that's definitely wrong for Common Lisp.  As #| |# comments are
rarely used at all, M-; on an empty line with no active region ought to
behave just like it does in Emacs Lisp mode.

In other modes, block comments might be the most common form of comment,
however.  So I think we need a new mode-specific variable which says
which to prefer in the case where the context does not determine it?

-- 
Sean Whitton